> For the complete documentation index, see [llms.txt](https://axiology.gitbook.io/axiology-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://axiology.gitbook.io/axiology-docs/rest-api/auctions.md).

# Auctions

## Get auctions

> Get list of paginated auctions

```json
{"openapi":"3.1.0","info":{"title":"Axiology TSS Broker Node API","version":"0.0.1"},"paths":{"/auctions":{"get":{"description":"Get list of paginated auctions","operationId":"getAuctions","parameters":[{"name":"filter","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/FilterAuctionDto"}},{"name":"mode","required":false,"in":"query","description":"Strategy applied when filtering/searching on multiple fields","schema":{"$ref":"#/components/schemas/FilterMode"}},{"name":"pagination","required":false,"in":"query","style":"deepObject","explode":true,"schema":{"$ref":"#/components/schemas/PaginationRequestDto"}},{"name":"order","required":false,"in":"query","content":{"application/json":{"schema":{"type":"array","uniqueItems":true,"items":{"type":"object","oneOf":[{"properties":{"createdAt":{"type":"string","enum":["asc","desc"]}},"required":["createdAt"]},{"properties":{"minAmount":{"type":"string","enum":["asc","desc"]}},"required":["minAmount"]},{"properties":{"price":{"type":"string","enum":["asc","desc"]}},"required":["price"]},{"properties":{"startAt":{"type":"string","enum":["asc","desc"]}},"required":["startAt"]},{"properties":{"endAt":{"type":"string","enum":["asc","desc"]}},"required":["endAt"]},{"properties":{"settledTotalPrice":{"type":"string","enum":["asc","desc"]}},"required":["settledTotalPrice"]},{"properties":{"settledAt":{"type":"string","enum":["asc","desc"]}},"required":["settledAt"]}]}}}},"description":"Array of fields and directions to order. Supported fields: createdAt, minAmount, price, startAt, endAt, settledTotalPrice, settledAt"}],"responses":{"200":{"description":"Successfully retrieved a list of items.","content":{"application/json":{"schema":{"type":"object","properties":{"pagination":{"$ref":"#/components/schemas/PaginationResponseDto"},"items":{"type":"array","items":{"$ref":"#/components/schemas/AuctionDto"}}},"required":["pagination","items"]}}}}},"summary":"Get auctions","tags":["Auctions"]}}},"components":{"schemas":{"FilterAuctionDto":{"type":"object","properties":{"id":{"description":"Filter by single or multiple auction ids","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"type":{"description":"Filter by type of auction","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/AuctionType"},"minItems":1},{"$ref":"#/components/schemas/AuctionType"}]},"status":{"description":"Filter by status of auction","oneOf":[{"type":"array","items":{"$ref":"#/components/schemas/AuctionStatus"},"minItems":1},{"$ref":"#/components/schemas/AuctionStatus"}]},"startAt":{"format":"date-time","description":"Filter by auction start date and time","oneOf":[{"type":"array","items":{"type":"string","format":"date-time"},"minItems":1,"maxItems":2},{"type":"string","format":"date-time"}]},"endAt":{"format":"date-time","description":"Filter by auction end date and time","oneOf":[{"type":"array","items":{"type":"string","format":"date-time"},"minItems":1,"maxItems":2},{"type":"string","format":"date-time"}]},"brokerId":{"description":"Filter by single or multiple broker ids","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]},"bondId":{"description":"Filter by single or multiple bond ids","oneOf":[{"type":"array","items":{"description":"Unique UUIDs of an entity","format":"uuid","type":"string"},"minItems":1},{"description":"Unique UUID of an entity","format":"uuid","type":"string"}]}}},"AuctionType":{"type":"string","enum":["fixed-price","min-price"],"description":"Type of auction:\n\n    'fixed-price' - price is fixed\n    'min-price' - price is limited to lower boundary, inclusive"},"AuctionStatus":{"type":"string","enum":["upcoming","open","closed","settled","failed","cancelled"],"description":"**Auction status:**\n- `upcoming` - will open in the future\n- `open` - currently open and accepts bids\n- `closed` - successful, but not yet settled\n- `settled` - successful and settled\n- `failed` - unsuccessful auction, `minAmount` not reached\n- `cancelled` - cancelled by issuer agent"},"FilterMode":{"type":"string","enum":["and","or"]},"PaginationRequestDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1}}},"PaginationResponseDto":{"type":"object","properties":{"size":{"type":"number","minimum":1,"default":10},"page":{"type":"number","minimum":1,"default":1},"totalItems":{"type":"number","description":"Total items count"},"totalPages":{"type":"number","description":"Total pages count"}},"required":["totalItems","totalPages"]},"AuctionDto":{"type":"object","properties":{"createdAt":{"format":"date-time","type":"string","description":"Created date"},"updatedAt":{"format":"date-time","type":"string","description":"Updated date"},"id":{"type":"string","description":"Auction UUID identifier, unique in scope of this node","format":"uuid"},"brokerId":{"type":"string","description":"Broker id","format":"uuid"},"assetId":{"type":"string","description":"Asset id","format":"uuid"},"type":{"description":"Type of auction:\n\n    'fixed-price' - price is fixed\n    'min-price' - price is limited to lower boundary, inclusive","allOf":[{"$ref":"#/components/schemas/AuctionType"}]},"status":{"description":"**Auction status:**\n- `upcoming` - will open in the future\n- `open` - currently open and accepts bids\n- `closed` - successful, but not yet settled\n- `settled` - successful and settled\n- `failed` - unsuccessful auction, `minAmount` not reached\n- `cancelled` - cancelled by issuer agent","allOf":[{"$ref":"#/components/schemas/AuctionStatus"}]},"minAmount":{"format":"int64","description":"Minimal amount that needs to be auctioned off for the auction to succeed.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"price":{"format":"int64","description":"Minimal or fixed price, determined by auction type.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"startAt":{"format":"date-time","type":"string","description":"Date and time of auction opening"},"endAt":{"format":"date-time","type":"string","description":"Date and time of auction closing"},"settledAmount":{"nullable":true,"description":"Total settled amount.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"settledTotalPrice":{"nullable":true,"description":"Settled total price.\n\nScaled as `ExponentScaledDecimal`.","allOf":[{"$ref":"#/components/schemas/ExponentScaledDecimal"}]},"settledAt":{"format":"date-time","type":"string","description":"Date and time of auction settlement","nullable":true}},"required":["createdAt","updatedAt","id","brokerId","assetId","type","status","minAmount","price","startAt","endAt","settledAmount","settledTotalPrice","settledAt"]},"ExponentScaledDecimal":{"type":"integer","format":"int64","description":"Decimal value encoded on the wire as an integer scaled by the asset's exponent: `encoded = real × 10^exponent`. E.g. for a bond denominated in EUR (exponent=2), a coupon payment of `123.45` is encoded as `12345`, and a nominal value of `1000.00` is encoded as `100000`."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://axiology.gitbook.io/axiology-docs/rest-api/auctions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
